Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class ResponseReportType

    java.lang.Object
      nz.co.cks.tms.xml.ResponseReportType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ResponseReport

public abstract class ResponseReportType
extends java.lang.Object
implements java.io.Serializable

Class ResponseReportType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private java.lang.String` | `_reportOutput` Field _reportOutput

Constructor Summary
`ResponseReportType()`

Method Summary
`java.lang.String` | `getReportOutput()` Method getReportOutputReturns the value of field 'reportOutput'.
`boolean` | `isValid()` Method isValid
`void` | `setReportOutput(java.lang.String reportOutput)` Method setReportOutputSets the value of field 'reportOutput'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _reportOutput

    private java.lang.String _reportOutput

  Field _reportOutput

Constructor Detail

### ResponseReportType

    public ResponseReportType()

Method Detail

### getReportOutput

    public java.lang.String getReportOutput()

  Method getReportOutputReturns the value of field 'reportOutput'.

  Returns:
    the value of field 'reportOutput'.

### isValid

    public boolean isValid()

  Method isValid

### setReportOutput

    public void setReportOutput(java.lang.String reportOutput)

  Method setReportOutputSets the value of field 'reportOutput'.

  Parameters:
    `reportOutput` - the value of field 'reportOutput'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD